cURL
curl --request PUT \
--url https://app.teable.ai/api/table/%7BtableId%7D/view/%7BviewId%7D/order \
--header 'Authorization: Bearer REPLACE_BEARER_TOKEN' \
--header 'content-type: application/json' \
--data '{"anchorId":"string","position":"before"}'view
Put table view order
Update view order
PUT
/
table
/
{tableId}
/
view
/
{viewId}
/
order
cURL
curl --request PUT \
--url https://app.teable.ai/api/table/%7BtableId%7D/view/%7BviewId%7D/order \
--header 'Authorization: Bearer REPLACE_BEARER_TOKEN' \
--header 'content-type: application/json' \
--data '{"anchorId":"string","position":"before"}'Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Response
200
Successfully update.
Last modified on March 5, 2026
Was this page helpful?
⌘I

